Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser.castor
Class CastorSerializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseSerializerFactory
              org.apache.axis.encoding.ser.castor.CastorSerializerFactory

All Implemented Interfaces:
  java.io.Serializable, SerializerFactory, SerializerFactory

public class CastorSerializerFactory
extends BaseSerializerFactory

SerializerFactory for Castor objects

Author:
  Olivier Brand (olivier.brand@vodafone.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, log, ser, serClass, serClassConstructor, xmlType`

Constructor Summary
`CastorSerializerFactory(java.lang.Class javaType, QName xmlType)`

Method Summary
`static SerializerFactory` | `create(java.lang.Class javaType, QName xmlType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGeneralPurpose, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAs, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CastorSerializerFactory

    public CastorSerializerFactory(java.lang.Class javaType,
                                   QName xmlType)

Method Detail

### create

    public static SerializerFactory create(java.lang.Class javaType,
                                           QName xmlType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.